# $Id: Address.pm,v 1.2 2004/06/20 15:49:29 rich Exp $

package Subscripto::Address;

use strict;
use Mail::Address;

sub new
{
    my $class = shift(@_);
    my $addr = shift(@_);
    my $inactive = shift(@_) || 0;
    my $self = bless({}, $class);

    $self->{addr} = new Mail::Address('', $addr);
    $self->{inactive} = $inactive;

    return $self;
}

sub address
{
    my $self = shift(@_);

    return $self->{addr}->address();
}

sub is_active
{
    my $self = shift(@_);

    return !$self->{inactive};
}

1;
